Bug 244071 - graphics/wayland: switch to Meson build
Summary: graphics/wayland: switch to Meson build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://reviews.freebsd.org/D23644
Keywords: patch
Depends on: 244059
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-12 12:36 UTC by Jan Beich
Modified: 2020-02-25 11:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-02-12 12:36:33 UTC
Maybe slightly easier to maintain. Also provides "make test" support for free.
Comment 1 commit-hook freebsd_committer 2020-02-24 20:01:52 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb 24 20:01:20 UTC 2020
New revision: 527044
URL: https://svnweb.freebsd.org/changeset/ports/527044

Log:
  graphics/wayland: convert to USES=meson

  - Drop autotools patches
  - Drop sys/param.h check as __FreeBSD__ is defined by compiler
  - Apply upstream fix for tests randomly failing to build

  PR:		244071
  Tested by:	mikael (13.0 powerpc64), pkubaj (12.1/13.0 powerpc64)
  Approved by:	x11 (manu, zeising)
  Differential Revision:  https://reviews.freebsd.org/D23644

Changes:
  head/graphics/wayland/Makefile
  head/graphics/wayland/distinfo
  head/graphics/wayland/files/patch-Makefile.am
  head/graphics/wayland/files/patch-configure.ac
  head/graphics/wayland/files/patch-meson.build
  head/graphics/wayland/files/patch-src_meson.build
  head/graphics/wayland/files/patch-tests_test-helpers.c
  head/graphics/wayland/files/patch-tests_test-runner.c